com.amazonaws.services.cloudfront.model

## Class Restrictions

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.Restrictions

All Implemented Interfaces:
  Serializable, Cloneable

    public class Restrictions
    extends Object
    implements Serializable, Cloneable

A complex type that identifies ways in which you want to restrict distribution of your content.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Restrictions()` Default constructor for Restrictions object.
`Restrictions(GeoRestriction geoRestriction)` Constructs a new Restrictions object.

### Method Summary

All Methods Instance Methods Concrete Methods
`Restrictions` `clone()`
`boolean` `equals(Object obj)`
`GeoRestriction` `getGeoRestriction()`
`int` `hashCode()`
`void` `setGeoRestriction(GeoRestriction geoRestriction)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Restrictions` `withGeoRestriction(GeoRestriction geoRestriction)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Restrictions

    public Restrictions()

Default constructor for Restrictions object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### Restrictions

    public Restrictions(GeoRestriction geoRestriction)

Constructs a new Restrictions object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `geoRestriction` -

### Method Detail

#### setGeoRestriction

    public void setGeoRestriction(GeoRestriction geoRestriction)

Parameters:
  `geoRestriction` -

#### getGeoRestriction

    public GeoRestriction getGeoRestriction()

Returns:

#### withGeoRestriction

    public Restrictions withGeoRestriction(GeoRestriction geoRestriction)

Parameters:
  `geoRestriction` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Restrictions clone()

Overrides:
  `clone` in class `Object`